/* 
 * Just Another Team
 */

package view;

import java.awt.Graphics2D;
import java.awt.Image;
import javax.swing.ImageIcon;
import model.Car;

//CarView osztaly
public class CarView implements Paintable {

	// Belso referenciak
	private Car car;
	private int type;
	private View view;

	// Konstrukor
	public CarView(Car car, View view, int type) {
		this.car = car;
		this.view = view;
		this.type = type;
	}

	// Kirajzolja az autot
	@Override
	public void paint(Graphics2D g) {
		// Ha meg nem szunt meg az auto
		if (car != null) {
			// Lekerdezzuk a csomopont megjelenitojebol a koordinatakat
			int nodeId = car.getNodeId();
			if (nodeId != -1) {
				NodeView nodeView = view.getNodeViews().get(nodeId);
				// Eltoljuk
				g.translate(nodeView.getX(), nodeView.getY());
				// Elforgatjuk a kepet
				switch (car.getNextMove()) {
				case 0:
					g.rotate(-Math.PI * 90 / 180, 12.5, 12.5);
					break;
				case 2:
					g.rotate(Math.PI * 90 / 180, 12.5, 12.5);
					break;
				case 3:
					g.rotate(Math.PI * 180 / 180, 12.5, 12.5);
					break;
				}
				Image icon2 = new ImageIcon("img/car" + type + ".png")
						.getImage();
				// Kirajzoljuk
				g.drawImage(icon2, null, null);
			}
		}
	}
}
